;****************************************************************************
;****************************************************************************
;*
;* main.inc
;*
;****************************************************************************
;****************************************************************************




%ifndef MAIN_INC
%define MAIN_INC

;****************************************************************************
;* Exported Symbols *********************************************************
;****************************************************************************
%ifdef MAIN_NASM
global main_exit
global main_suspend
global main_exception
global cpu65xx__c64
global vic6569__c64
global cia6526__c64_1
global cia6526__c64_2
%ifdef MAIN_TEST_VIA
global via6522__c64_1
%endif
global cpu65xx__vc1541
global via6522__vc1541_1
global via6522__vc1541_2
global disc__vc1541
%else
extern main_exit
extern main_suspend
extern main_exception
extern cpu65xx__c64
extern vic6569__c64
extern cia6526__c64_1
extern cia6526__c64_2
%ifdef MAIN_TEST_VIA
extern via6522__c64_1
%endif
extern cpu65xx__vc1541
extern via6522__vc1541_1
extern via6522__vc1541_2
extern disc__vc1541
%endif



;****************************************************************************
;* assign's & defines's *****************************************************
;****************************************************************************
%assign C64_CLOCK	982800	;Hz
%assign VC1541_CLOCK	995134	;Hz



%endif
;********************************************* karsten.scheibler@bigfoot.de *

