;****************************************************************************
;****************************************************************************
;*
;* sid6581.inc
;*
;****************************************************************************
;****************************************************************************





%ifndef SID6581_INC
%define SID6581_INC

;****************************************************************************
;* Exported Symbols *********************************************************
;****************************************************************************
%ifdef SID6581_NASM
global sid6581_initialize
global sid6581_exit
global sid6581_save_snapshot
global sid6581_load_snapshot
global sid6581_reset
global sid6581_cycle
global sid6581_dump
global sid6581_read
global sid6581_write
%else
extern sid6581_initialize
extern sid6581_exit
extern sid6581_save_snapshot
extern sid6581_load_snapshot
extern sid6581_reset
extern sid6581_cycle
extern sid6581_dump
extern sid6581_read
extern sid6581_write
%endif



;****************************************************************************
;* Module Data **************************************************************
;****************************************************************************
			struc sid6581_data
			alignb 4
d__sid_modul_id:	resd	1
			endstruc



;****************************************************************************
;* Macro's ******************************************************************
;****************************************************************************
%macro SID6581_CALL_CYCLE 0-1
			call	sid6581_cycle
%endmacro


%macro SID6581_CALL_RESET 2
			mov	dword eax, %2
			mov	dword [%1 + d__sid_modul_id], eax
			call	sid6581_reset
%endmacro



%endif
;********************************************* karsten.scheibler@bigfoot.de *

