;****************************************************************************
;****************************************************************************
;*
;* audio_ioctl.inc
;*
;****************************************************************************
;****************************************************************************





%ifndef AUDIO_IOCTL_INC
%define AUDIO_IOCTL_INC

%assign SOUND_PCM_RESET			000005000h
%assign SOUND_PCM_NONBLOCK		00000500eh
%assign SOUND_PCM_GETODELAY		080045017h
%assign SOUND_PCM_WRITE_RATE		0c0045002h
%assign SOUND_PCM_GETBLKSIZE		0c0045004h
%assign SOUND_PCM_WRITE_BITS		0c0045005h
%assign 	AFMT_QUERY		000000000h
%assign		AFMT_MU_LAW		000000001h
%assign 	AFMT_A_LAW		000000002h
%assign 	AFMT_IMA_ADPCM		000000004h
%assign 	AFMT_U8			000000008h
%assign 	AFMT_S16_LE		000000010h	;little endian
%assign 	AFMT_S16_BE		000000020h	;big endian
%assign 	AFMT_S8			000000040h
%assign 	AFMT_U16_LE		000000080h	;little endian
%assign 	AFMT_U16_BE		000000100h	;big endian
%assign 	AFMT_MPEG		000000200h	;MPEG 2 audio
%assign SOUND_PCM_WRITE_CHANNELS	0c0045006h
%assign SOUND_MIXER_WRITE_VOLUME	0c0044d00h
%assign SOUND_MIXER_WRITE_PCM		0c0044d04h
%assign 	SOUND_MIXER_VOLUME	0
%assign 	SOUND_MIXER_BASS	1
%assign 	SOUND_MIXER_TREBLE	2
%assign 	SOUND_MIXER_SYNTH	3
%assign 	SOUND_MIXER_PCM		4
%assign 	SOUND_MIXER_SPEAKER	5
%assign 	SOUND_MIXER_LINE	6
%assign 	SOUND_MIXER_MIC		7
%assign 	SOUND_MIXER_CD		8
%assign 	SOUND_MIXER_IMIX	9	;Recording monitor
%assign 	SOUND_MIXER_ALTPCM	10
%assign 	SOUND_MIXER_RECLEV	11	;Recording level
%assign 	SOUND_MIXER_IGAIN	12	;Input gain
%assign 	SOUND_MIXER_OGAIN	13	;Output gain
%assign 	SOUND_MIXER_LINE1	14	;Input source 1  (aux1)
%assign 	SOUND_MIXER_LINE2	15	;Input source 2  (aux2)
%assign 	SOUND_MIXER_LINE3	16	;Input source 3  (line)
%assign 	SOUND_MIXER_DIGITAL1	17	;Digital (input) 1
%assign 	SOUND_MIXER_DIGITAL2	18	;Digital (input) 2
%assign 	SOUND_MIXER_DIGITAL3	19	;Digital (input) 3
%assign 	SOUND_MIXER_PHONEIN	20	;Phone input
%assign 	SOUND_MIXER_PHONEOUT	21	;Phone output
%assign 	SOUND_MIXER_VIDEO	22	;Video/TV (audio) in
%assign 	SOUND_MIXER_RADIO	23	;Radio in
%assign 	SOUND_MIXER_MONITOR	24	;Monitor (usually mic) volume
%assign 	SOUND_MASK_VOLUME	(1 << SOUND_MIXER_VOLUME)
%assign 	SOUND_MASK_BASS		(1 << SOUND_MIXER_BASS)
%assign 	SOUND_MASK_TREBLE	(1 << SOUND_MIXER_TREBLE)
%assign 	SOUND_MASK_SYNTH	(1 << SOUND_MIXER_SYNTH)
%assign 	SOUND_MASK_PCM		(1 << SOUND_MIXER_PCM)
%assign 	SOUND_MASK_SPEAKER	(1 << SOUND_MIXER_SPEAKER)
%assign 	SOUND_MASK_LINE		(1 << SOUND_MIXER_LINE)
%assign 	SOUND_MASK_MIC		(1 << SOUND_MIXER_MIC)
%assign 	SOUND_MASK_CD		(1 << SOUND_MIXER_CD)
%assign 	SOUND_MASK_IMIX		(1 << SOUND_MIXER_IMIX)
%assign 	SOUND_MASK_ALTPCM	(1 << SOUND_MIXER_ALTPCM)
%assign 	SOUND_MASK_RECLEV	(1 << SOUND_MIXER_RECLEV)
%assign 	SOUND_MASK_IGAIN	(1 << SOUND_MIXER_IGAIN)
%assign 	SOUND_MASK_OGAIN	(1 << SOUND_MIXER_OGAIN)
%assign 	SOUND_MASK_LINE1	(1 << SOUND_MIXER_LINE1)
%assign 	SOUND_MASK_LINE2	(1 << SOUND_MIXER_LINE2)
%assign 	SOUND_MASK_LINE3	(1 << SOUND_MIXER_LINE3)
%assign 	SOUND_MASK_DIGITAL1	(1 << SOUND_MIXER_DIGITAL1)
%assign 	SOUND_MASK_DIGITAL2	(1 << SOUND_MIXER_DIGITAL2)
%assign 	SOUND_MASK_DIGITAL3	(1 << SOUND_MIXER_DIGITAL3)
%assign 	SOUND_MASK_PHONEIN	(1 << SOUND_MIXER_PHONEIN)
%assign 	SOUND_MASK_PHONEOUT	(1 << SOUND_MIXER_PHONEOUT)
%assign 	SOUND_MASK_RADIO	(1 << SOUND_MIXER_RADIO)
%assign 	SOUND_MASK_VIDEO	(1 << SOUND_MIXER_VIDEO)
%assign 	SOUND_MASK_MONITOR	(1 << SOUND_MIXER_MONITOR)

%endif
;********************************************* karsten.scheibler@bigfoot.de *

