;****************************************************************************
;****************************************************************************
;*
;* write.nasm
;*
;****************************************************************************
;****************************************************************************





%include "sys_calls.inc"

%define WRITE_NASM
%include "write.inc"



;****************************************************************************
;* some data ****************************************************************
;****************************************************************************
section .data
ab__hex:		db	"0123456789abcdef"
ab__text:		db	"00000000000000000000000000000000"
b__return:		db	00ah
ab__space:		db	"        "



;****************************************************************************
;* write_text ***************************************************************
;****************************************************************************
section .text
write_text:
			push	dword eax
			push	dword ebx
			push	dword ecx
			push	dword edx
			mov	dword ecx, eax
			mov	dword edx, ebx
			SYS_WRITE  1
			pop	dword edx
			pop	dword ecx
			pop	dword ebx
			pop	dword eax
			ret



;****************************************************************************
;* write_hex ****************************************************************
;****************************************************************************
write_hex:
			push	dword eax
			push	dword ebx
			push	dword ecx
			push	dword edx
			push	dword ebp
			and	dword ebx, 007h
			mov	dword edx, ebx
.1:			mov	dword ebp, eax
			and	dword ebp, 0fh
			shr	dword eax, 4
			mov	byte  cl, [ab__hex + ebp]
			mov	byte  [ab__text + ebx], cl
			dec	byte  bl
			jns	.1
			inc	dword edx
			SYS_WRITE  1, ab__text
			pop	dword ebp
			pop	dword edx
			pop	dword ecx
			pop	dword ebx
			pop	dword eax
			ret



;****************************************************************************
;* write_bin ****************************************************************
;****************************************************************************
write_bin:
			push	dword eax
			push	dword ebx
			push	dword ecx
			push	dword edx
			and	dword ebx, 01fh
			mov	dword edx, ebx
.1:			shr	dword eax, 1
			mov	byte  cl, '0'
			jnc	.2
			inc	byte  cl
.2:			mov	byte  [ab__text + ebx], cl
			dec	byte  bl
			jns	.1
			inc	dword edx
			SYS_WRITE  1, ab__text
			pop	dword edx
			pop	dword ecx
			pop	dword ebx
			pop	dword eax
			ret



;****************************************************************************
;* write_flag ***************************************************************
;****************************************************************************
write_flag:
			push	dword eax
			push	dword ebx
			push	dword ecx
			push	dword edx
			and	dword ebx, 01fh
			mov	dword edx, ebx
.1:			shr	dword eax, 1
			mov	byte  cl, '.'
			jnc	.2
			mov	byte  cl, '*'
.2:			mov	byte  [ab__text + ebx], cl
			dec	byte  bl
			jns	.1
			inc	dword edx
			SYS_WRITE  1, ab__text
			pop	dword edx
			pop	dword ecx
			pop	dword ebx
			pop	dword eax
			ret



;****************************************************************************
;* write_return *************************************************************
;****************************************************************************
write_return:
			push	dword eax
			push	dword ebx
			push	dword ecx
			push	dword edx
			SYS_WRITE  1, b__return, 1
			pop	dword edx
			pop	dword ecx
			pop	dword ebx
			pop	dword eax
			ret



;****************************************************************************
;* write_space **************************************************************
;****************************************************************************
write_space:
			push	dword eax
			push	dword ebx
			push	dword ecx
			push	dword edx
			mov	dword ecx, ab__space
			mov	dword edx, eax
			SYS_WRITE  1
			pop	dword edx
			pop	dword ecx
			pop	dword ebx
			pop	dword eax
			ret
;********************************************* karsten.scheibler@bigfoot.de *

