;****************************************************************************
;****************************************************************************
;*
;* vc1541_memory.inc
;*
;****************************************************************************
;****************************************************************************





%ifndef VC1541_MEMORY_INC
%define VC1541_MEMORY_INC

;****************************************************************************
;* Exported Symbols *********************************************************
;****************************************************************************
%ifdef VC1541_MEMORY_NASM
global vc1541_memory_initialize
global vc1541_memory_exit
global vc1541_memory_save_snapshot
global vc1541_memory_load_snapshot
global vc1541_memory_reset
global vc1541_memory_read
global vc1541_memory_write
%else
extern vc1541_memory_initialize
extern vc1541_memory_exit
extern vc1541_memory_save_snapshot
extern vc1541_memory_load_snapshot
extern vc1541_memory_reset
extern vc1541_memory_read
extern vc1541_memory_write
%endif



;****************************************************************************
;* Module Data **************************************************************
;****************************************************************************
				struc vc1541_memory_data
				alignb 4
d__vc1541_memory_modul_id:	resd	1
				endstruc



;****************************************************************************
;* Macro's ******************************************************************
;****************************************************************************
%macro VC1541_MEMORY_CALL_RESET 2
			mov	dword eax, %2
			mov	dword [%1 + d__vc1541_memory_modul_id], eax
			call	vc1541_memory_reset
%endmacro



%endif
;********************************************* karsten.scheibler@bigfoot.de *

