;****************************************************************************
;****************************************************************************
;*
;* cmdline.nasm
;*
;****************************************************************************
;****************************************************************************




%include "sys_calls.inc"
%include "main.inc"
%include "disc.inc"
%include "write.inc"

%define CMDLINE_NASM
%include "cmdline.inc"



%define CMDLINE_D64_ADDRESS	(DISC_GCR_IMAGE + DISC_GCR_IMAGE_SIZE - CMDLINE_D64_SIZE)



;****************************************************************************
;* cmdline_parse ************************************************************
;****************************************************************************
section .text
cmdline_parse:
			mov	dword ecx, [ebp]	;number of arguments
			cmp	dword ecx, 1		;are there arguments ?
			jna	.end

			;--------------------------------
			;skip first argument at [ebp + 4]
			;--------------------------------

			mov	dword ebx, [ebp + 8]	
			SYS_OPEN
			test	dword eax, eax
			js	.error
			push	dword eax
			SYS_READ  eax, CMDLINE_D64_ADDRESS, CMDLINE_D64_SIZE
			test	dword eax, eax
			js	.error
			pop	dword ebx
			SYS_CLOSE
			test	dword eax, eax
			js	.error
			mov	dword eax, CMDLINE_D64_ADDRESS
			call	disc_encode_d64
.end:			ret
.error:			jmp	main_exit
;********************************************* karsten.scheibler@bigfoot.de *

